Subject: Bug#742: X2Go issue (in src:x2goclient) has been marked as pending for release

From: "George Trakatelis" <[email-masked]>
Date: Wed, 28 Jan 2015 00:22:14 +0200

Hi Mike#2 and Mihai, 

I just traced x2goclient's code back and found that 
the last release of x2goclient for Windows that executed parec was 3.99.2.2. 
The programming error I'm referring to was introduced in release 3.99.3.0.  
>From then on, parec never had the chance to execute. 
In fact, executing it makes x2goclient really slow. 

So, to be precise, this fix removes an unnecessary endless check 
testing if it's time to execute parec. 
I don't know if it's worth mentioning it and 
I don't have a clue about the implications (if any) of the error 
back in November 2012 (when x2goclient 3.99.3.0 was out). 

George

> -----Original Message-----
> From: Mike DePaulo [mailto:[email-masked]]
> Sent: Sunday, January 25, 2015 4:53 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Bug#742: X2Go issue (in src:x2goclient) has been marked as
> pending for release
> 
> tag #742 pending
> fixed #742 4.0.3.2
> thanks
> 
> Hello,
> 
> X2Go issue #742 (src:x2goclient) reported by you has been fixed in X2Go
> Git. You can see the changelog below, and you can check the diff of the
> fix at:
> 
>     http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=fd1151e
> 
> The issue will most likely be fixed in src:x2goclient (4.0.3.2).
> 
> light+love
> X2Go Git Admin (on behalf of the sender of this mail)
> 
> ---
> commit fd1151e48ad325c18857f1d3daceb5b8e5edda9d
> Author: Mike DePaulo <[email-masked]>
> Date:   Sun Jan 25 09:52:38 2015 -0500
> 
>     Update Changelog about #742
> 
> diff --git a/debian/changelog b/debian/changelog index 9e4d06b..e50be3b
> 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -58,6 +58,10 @@ x2goclient (4.0.3.2-0x2go1) UNRELEASED;
> urgency=medium
>        functionality, not the SSH server functionality.
>        0.6.4 also added 4 features related to ECDSA keys.
>      - Windows: Fix compatibility with PulseAudio 6.0
> +    - Windows: Remove workaround for audio input with old versions of
> +      PulseAudio (calling parec once per second)
> +      (Fixes: #742)
> +      Thanks George Trakatelis (uom.edu.gr) for submitting this
> change.
>      - Windows: Enable X2Go Client for Windows to build under VS2010
> nmake
>        (but not the VS2010 IDE due to a Qt4 Visual Studio Add-in
> limitation)
>        Note that the official builds are still build under MinGW.